var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Fragment, h } from '@stencil/core';
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
import { createEnterKeyHandlerToTriggerClick } from '../../../../utils/accessibility';
export class VegaDropdownResetRenderer extends VegaSlimmer {
  render() {
    return (this.resettable &&
      this.selectedSourceKey.length > 0 && (h(Fragment, null,
      h("vega-font", { variant: "font-field-value", color: "text-link", class: "vega-dropdown-reset", 
        /* eslint-disable-next-line react/jsx-no-bind */
        onClick: () => this.selectedController.reset(), tabIndex: 0, role: "button", "aria-label": "Reset", onKeyDown: createEnterKeyHandlerToTriggerClick() }, this.translationSlimmer.t('Reset Selection')),
      h("vega-divider", { margin: { y: 'size-4' } }))));
  }
}
__decorate([
  MapToComponentField()
], VegaDropdownResetRenderer.prototype, "resettable", void 0);
__decorate([
  MapToComponentField()
], VegaDropdownResetRenderer.prototype, "translationSlimmer", void 0);
__decorate([
  MapToComponentField()
], VegaDropdownResetRenderer.prototype, "selectedController", void 0);
__decorate([
  MapToComponentField()
], VegaDropdownResetRenderer.prototype, "selectedSourceKey", void 0);
